---
title: Standalone Link
sidebar: true
---

# Standalone Link
Standalone Link can be internal and external; enabled and disabled.

## Usage

<hy-docs-container>
  <hy-standalone-link 
    url="https://www.helsinki.com"
    link-content="Regular link"
    aria-label="Regular link"
    is-external="false"
    is-enabled="true"
  >
  </hy-standalone-link >
</hy-docs-container>

```
<hy-standalone-link 
    url="https://www.helsinki.com"
    link-content="Regular link"
    aria-label="Regular link"
    is-external="false"
    is-enabled="true"
>
</hy-standalone-link >
```

<!-- Auto Generated Below -->


## Properties

| Property      | Attribute      | Description | Type      | Default     |
| ------------- | -------------- | ----------- | --------- | ----------- |
| `ariaLabel`   | `aria-label`   |             | `string`  | `undefined` |
| `isEnabled`   | `is-enabled`   |             | `boolean` | `true`      |
| `isExternal`  | `is-external`  |             | `boolean` | `false`     |
| `linkContent` | `link-content` |             | `string`  | `''`        |
| `url`         | `url`          |             | `string`  | `undefined` |


## Dependencies

### Used by

 - [hy-cta-liftup-image-text](../cta-liftup-image-text)

### Depends on

- [hy-icon](../icon)

### Graph
```mermaid
graph TD;
  hy-standalone-link --> hy-icon
  hy-cta-liftup-image-text --> hy-standalone-link
  style hy-standalone-link fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Helsinki University Design System
